
/**
 * Class storing the client settings.
 */
class ClientSettings {
    constructor() {
        this._energyScale = 1;
        this._dataSphereRadius = 5;
        this._maxIntensity = 500;

        
        
    }

    get energyScale() { return this._energyScale; }
    set energyScale(value) { this._energyScale = value; }

    get dataSphereRadius() { return this._dataSphereRadius; }
    set dataSphereRadius(value) { this._dataSphereRadius = value; }

    get maxIntensity() { return this._maxIntensity; }
    set maxIntensity(value) { this._maxIntensity = value; }
}

const clientSettings = new ClientSettings();

module.exports = { clientSettings };