const config = require('./config');
let VEXPSpyData = null;

/*
 * Class managing the vEXP spy.
 */
class VEXPSpy {

    constructor() {
    }

    init() {

        // Init the addon.
        VEXPSpyData = require('../../build/Release/addonvexpspy');
        VEXPSpyData.init(config.localEndpoint, config.nomadEndpoint);
    }
    
    
    getData() {

        if (VEXPSpyData == null) {
            return null;
        }

        let data = VEXPSpyData.getData();

        //console.log('spy = ' + data);

        if (data !== "") {
            return JSON.parse(data);
        }
        else {
            return null;
        }
    }
}

const vEXPSpy = new VEXPSpy();

module.exports = vEXPSpy;
